webpackJsonp([0],{

/***/ 112:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TravelProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_angularfire2_firestore__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__models_travel__ = __webpack_require__(221);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators__ = __webpack_require__(351);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_operators___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__auth_auth__ = __webpack_require__(56);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/*
  Generated class for the TravelProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var TravelProvider = /** @class */ (function () {
    // constructor(public afAuth: AngularFireAuth, db: AngularFirestore) {
    function TravelProvider(db, auth) {
        this.db = db;
        this.auth = auth;
        db.firestore.settings({ timestampsInSnapshots: true }); // Обращать внимание на даты, если перестанут работать, расскоментировать
        this.travels = db.collection('travels');
        this.travels$ = this.auth.afAuth.authState.pipe(Object(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__["switchMap"])(function (user) {
            return db.collection('travels', function (ref) { return ref.where('$uid', '==', user && user.uid); })
                .snapshotChanges()
                .pipe(Object(__WEBPACK_IMPORTED_MODULE_3_rxjs_operators__["map"])(function (actions) {
                return actions.map(function (a) {
                    var data = new __WEBPACK_IMPORTED_MODULE_2__models_travel__["a" /* Travel */](a.payload.doc.data());
                    data.$key = a.payload.doc.id;
                    return data;
                });
            }));
        }));
    }
    TravelProvider.prototype.getTravels = function () {
        return this.travels$;
    };
    TravelProvider.prototype.addTravel = function (travel) {
        travel.$uid = this.auth.getUid();
        return Object(__WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__["fromPromise"])(this.travels.add(travel.getAny()));
    };
    TravelProvider.prototype.updateTravel = function (travel) {
        var key = travel.$key;
        delete travel.$key;
        travel.status = false; // Меняем статус на непроверенный, т.к. запись изменилась
        return Object(__WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__["fromPromise"])(this.travels.doc(key).set(travel.getAny()));
    };
    TravelProvider.prototype.deleteTravel = function (travel) {
        return Object(__WEBPACK_IMPORTED_MODULE_4_rxjs_observable_fromPromise__["fromPromise"])(this.travels.doc(travel.$key).delete());
    };
    TravelProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_angularfire2_firestore__["a" /* AngularFirestore */], __WEBPACK_IMPORTED_MODULE_5__auth_auth__["a" /* AuthProvider */]])
    ], TravelProvider);
    return TravelProvider;
}());

//# sourceMappingURL=travel.js.map

/***/ }),

/***/ 161:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 161;

/***/ }),

/***/ 205:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/login/login.module": [
		206
	],
	"../pages/signup/signup.module": [
		248
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return Promise.all(ids.slice(1).map(__webpack_require__.e)).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 205;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 206:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LoginPageModule", function() { return LoginPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__login__ = __webpack_require__(207);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ultimate_ngxerrors__ = __webpack_require__(126);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var LoginPageModule = /** @class */ (function () {
    function LoginPageModule() {
    }
    LoginPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ultimate_ngxerrors__["a" /* NgxErrorsModule */],
            ],
        })
    ], LoginPageModule);
    return LoginPageModule;
}());

//# sourceMappingURL=login.module.js.map

/***/ }),

/***/ 207:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__list_list__ = __webpack_require__(69);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_auth_auth__ = __webpack_require__(56);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__signup_signup__ = __webpack_require__(244);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the LoginPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LoginPage = /** @class */ (function () {
    function LoginPage(navCtrl, navParams, auth, fb) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.auth = auth;
        this.loginForm = fb.group({
            email: ['', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].compose([__WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].email])],
            password: ['', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].compose([__WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].minLength(6)])]
        });
    }
    LoginPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad LoginPage');
    };
    LoginPage.prototype.login = function () {
        var _this = this;
        var data = this.loginForm.value;
        if (!data.email) {
            return;
        }
        this.auth.signInWithEmail(data.email, data.password)
            .then(function () { return _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__list_list__["a" /* ListPage */]); }, function (error) { return _this.loginError = error.message; });
    };
    LoginPage.prototype.signup = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__signup_signup__["a" /* SignupPage */]);
    };
    LoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-login',template:/*ion-inline-start:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\login\login.html"*/'<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Авторизация</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <form (ngSubmit)="login()" [formGroup]="loginForm">\n    <ion-list inset>\n\n      <ion-item [ngClass]="{ invalid: emailErrors.hasError(\'*\', [\'touched\', \'dirty\']) }">\n        <ion-input type="text" placeholder="Email" formControlName="email"></ion-input>\n      </ion-item>\n\n      <div ngxErrors="email" #emailErrors="ngxErrors">\n        <div [ngxError]="[\'email\', \'required\']" [when]="[\'touched\', \'dirty\']">It should be a valid email</div>\n      </div>\n\n      <ion-item [ngClass]="{ invalid: passwordErrors.hasError(\'*\', [\'touched\']) }">\n        <ion-input type="password" placeholder="Пароль" formControlName="password"></ion-input>\n      </ion-item>\n\n      <div ngxErrors="password" #passwordErrors="ngxErrors">\n        <div [ngxError]="[\'minlength\', \'required\']" [when]="[\'touched\']">It should be at least 5 characters</div>\n      </div>\n    </ion-list>\n\n    <div padding-horizontal>\n      <div class="form-error">{{loginError}}</div>\n\n      <button ion-button full type="submit" [disabled]="!loginForm.valid">Войти</button>\n      <div class="login-footer">\n        <p>\n          <a href="#">Забыли пароль?</a>\n          Если вы новый пользователь, зарегистрируйтесь!\n        </p>\n      </div>\n\n      <ion-list>\n\n        <!--<button ion-button icon-left block clear (click)="loginWithGoogle()">-->\n          <!--<ion-icon name="logo-google"></ion-icon>-->\n          <!--Log in with Google-->\n        <!--</button>-->\n\n        <button ion-button icon-left block clear (click)="signup()">\n          <ion-icon name="person-add"></ion-icon>\n          Регистрация\n        </button>\n      </ion-list>\n    </div>\n  </form>\n</ion-content>\n'/*ion-inline-end:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\login\login.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__providers_auth_auth__["a" /* AuthProvider */],
            __WEBPACK_IMPORTED_MODULE_2__angular_forms__["a" /* FormBuilder */]])
    ], LoginPage);
    return LoginPage;
}());

//# sourceMappingURL=login.js.map

/***/ }),

/***/ 208:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ItemDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_travel_travel__ = __webpack_require__(112);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__map_details_map_details__ = __webpack_require__(243);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var ItemDetailsPage = /** @class */ (function () {
    function ItemDetailsPage(navCtrl, navParams, travelProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.travelProvider = travelProvider;
        this.deleted = false;
        // If we navigated to this page, we will have an member available as a nav param
        this.selectedItem = navParams.get('item');
        this.selectedItemJson = JSON.stringify(this.selectedItem);
    }
    ItemDetailsPage.prototype.ionViewWillLeave = function () {
        if (this.deleted)
            return; // Проверяем не нажатали кнопка Удалить
        // Со страницы можно уйти на экран меток или назад в общий раздел.
        // При уходе в общий раздел - сохраняем данных, в противном случае - ждём.
        // (были проблемы при создании новой записи, т.к. если уходить в метки и
        // обратно возвращаться будет два раза вызван метод создания Путешествия, т.к.
        // не заполнено поле $key)
        if (this.navCtrl.last().component.name != 'ItemDetailsPage')
            return;
        if (JSON.stringify(this.selectedItem) === this.selectedItemJson) {
            console.log("Объект не изменился");
        }
        else {
            if (this.selectedItem.$key == null) {
                this.travelProvider.addTravel(this.selectedItem)
                    .subscribe(function (value) {
                    // this.selectedItem.$key = value.id;
                    // console.log(value);
                }, function (error1) { return console.log(error1); });
            }
            else {
                this.travelProvider.updateTravel(this.selectedItem)
                    .subscribe(function (value) {
                }, function (error1) { return console.log(error1); });
            }
            console.log("Обнаружены изменения");
        }
    };
    ItemDetailsPage.prototype.deleteTravel = function (event) {
        var _this = this;
        if (this.selectedItem.$key === undefined) {
            this.deleted = true;
            this.navCtrl.pop();
            return;
        }
        this.travelProvider.deleteTravel(this.selectedItem)
            .subscribe(function (value) {
            _this.deleted = true;
            _this.navCtrl.pop();
        }, function (error1) {
            console.log(error1);
            _this.navCtrl.pop();
        });
    };
    ItemDetailsPage.prototype.editPath = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__map_details_map_details__["a" /* MapDetailsPage */], {
            item: this.selectedItem.path
        });
    };
    ItemDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-item-details',template:/*ion-inline-start:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\item-details\item-details.html"*/'<ion-header>\n  <ion-navbar>\n    <button menuToggle *ngIf="!selectedItem">\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>{{selectedItem.title}}</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-fab top right edge>\n    <button ion-fab mini (click)="deleteTravel($event)">\n      <ion-icon name="trash"></ion-icon>\n    </button>\n  </ion-fab>\n\n  <ion-card text-center *ngIf="selectedItem">\n\n    <ion-card-header>\n      Общая информация о маршруте\n    </ion-card-header>\n\n    <ion-list>\n\n      <ion-item>\n        <ion-label floating>Название маршрута</ion-label>\n        <ion-input type="text" [(ngModel)]="selectedItem.title"></ion-input>\n      </ion-item>\n\n      <ion-item>\n        <ion-label floating>Начало похода</ion-label>\n        <ion-datetime displayFormat="DD.MM.YYYY" pickerFormat="DD.MM.YYYY" [(ngModel)]="selectedItem.bgdate"\n                      [max]="selectedItem.cldate"></ion-datetime>\n      </ion-item>\n\n      <ion-item>\n        <ion-label floating>Окончание похода</ion-label>\n        <ion-datetime displayFormat="DD.MM.YYYY" pickerFormat="DD.MM.YYYY" [(ngModel)]="selectedItem.cldate"\n                      [min]="selectedItem.bgdate"></ion-datetime>\n      </ion-item>\n\n    </ion-list>\n\n  </ion-card>\n\n  <membership [(items)]="selectedItem.membership"></membership>\n\n  <ion-card>\n    <ion-card-header>\n      Основной маршрут\n      <ion-fab right>\n        <button ion-fab mini (click)="editPath()">\n          <ion-icon name="create"></ion-icon>\n        </button>\n      </ion-fab>\n    </ion-card-header>\n\n    <ion-card-content *ngIf="selectedItem.path.length == 0">Раздел не заполнен</ion-card-content>\n\n    <ion-list *ngIf="selectedItem.path.length">\n      <ion-item-sliding *ngFor="let point of selectedItem.path" #item>\n        <ion-item>\n          <h2>{{point.title}}</h2>\n          <h3>{{point.bgdate | date: \'dd.MM.yyyy\'}} - {{point.cldate | date: \'dd.MM.yyyy\'}}</h3>\n        </ion-item>\n      </ion-item-sliding>\n    </ion-list>\n  </ion-card>\n\n</ion-content>\n'/*ion-inline-end:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\item-details\item-details.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_travel_travel__["a" /* TravelProvider */]])
    ], ItemDetailsPage);
    return ItemDetailsPage;
}());

//# sourceMappingURL=item-details.js.map

/***/ }),

/***/ 221:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Travel; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_model__ = __webpack_require__(222);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();

var Travel = /** @class */ (function (_super) {
    __extends(Travel, _super);
    function Travel(fields) {
        var _this = _super.call(this, fields) || this;
        if (_this.membership === undefined)
            _this.membership = new Array();
        if (_this.path === undefined)
            _this.path = new Array();
        return _this;
    }
    Travel.prototype.getAny = function () {
        var travel = Object.assign({}, this);
        // travel.organization = Object.assign({}, travel.organization);
        travel.membership = travel.membership.map(function (object) { return Object.assign({}, object); });
        travel.path = travel.path.map(function (object) { return Object.assign({}, object); });
        return travel;
    };
    return Travel;
}(__WEBPACK_IMPORTED_MODULE_0__base_model__["a" /* BaseModel */]));

//# sourceMappingURL=travel.js.map

/***/ }),

/***/ 222:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BaseModel; });
var BaseModel = /** @class */ (function () {
    function BaseModel(fields) {
        // Quick and dirty extend/assign fields to this model
        for (var f in fields) {
            // @ts-ignore
            this[f] = fields[f];
        }
    }
    return BaseModel;
}());

//# sourceMappingURL=base-model.js.map

/***/ }),

/***/ 243:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MapDetailsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_leaflet__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_leaflet___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_leaflet__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__models_point__ = __webpack_require__(442);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var MapDetailsPage = /** @class */ (function () {
    function MapDetailsPage(navCtrl, navParams, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.shouldScroll = true;
        this.markers = [];
        // Open Street Map and Open Cycle Map definitions
        this.LAYER_OCM = {
            id: 'opencyclemap',
            name: 'Open Cycle Map',
            enabled: true,
            layer: Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["tileLayer"])('http://{s}.tile.opencyclemap.org/cycle/{z}/{x}/{y}.png', {
                maxZoom: 18,
                attribution: 'Open Cycle Map'
            })
        };
        this.LAYER_OSM = {
            id: 'openstreetmap',
            name: 'Open Street Map',
            enabled: false,
            layer: Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["tileLayer"])('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
                maxZoom: 18,
                attribution: 'Open Street Map'
            })
        };
        // Values to bind to Leaflet Directive
        this.layersControlOptions = { position: 'bottomright' };
        this.baseLayers = {
            'Open Street Map': this.LAYER_OSM.layer,
            'Open Cycle Map': this.LAYER_OCM.layer
        };
        this.options = {
            zoom: 10,
            center: Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["latLng"])(56.013388, 92.854262)
        };
        // If we navigated to this page, we will have an member available as a nav param
        this.selectedItem = navParams.get('item');
        if (this.selectedItem.length) {
            this.options.center = Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["latLng"])(this.selectedItem[0].lat, this.selectedItem[0].lng);
        }
        for (var i in this.selectedItem) {
            var point = this.selectedItem[i];
            var latLng_1 = new __WEBPACK_IMPORTED_MODULE_2_leaflet__["LatLng"](point.lat, point.lng);
            this.addMarker(JSON.stringify(point), latLng_1);
        }
    }
    MapDetailsPage.prototype.ionViewWillLeave = function () {
        this.selectedItem.splice(0, this.selectedItem.length);
        for (var i in this.markers) {
            this.selectedItem.push(JSON.parse(this.markers[i].options.title));
        }
        console.log(this.selectedItem);
    };
    MapDetailsPage.prototype.addMarker = function (title, latLng) {
        var _this = this;
        var newMarker = Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["marker"])(latLng, {
            title: title,
            // clickable: true,
            icon: Object(__WEBPACK_IMPORTED_MODULE_2_leaflet__["icon"])({
                iconSize: [25, 41],
                iconAnchor: [13, 41],
                iconUrl: 'assets/images/marker-icon.png',
                shadowUrl: 'assets/images/marker-shadow.png'
            })
        });
        newMarker.on('click', function (e) {
            var marker = e.target;
            _this.editPointDialog(marker);
            console.log(marker);
        });
        console.log(newMarker);
        this.markers.push(newMarker);
    };
    MapDetailsPage.prototype.mapReady = function (map) {
        var _this = this;
        map.on('click', function (e) {
            _this.addPointDialog(e.latlng);
        });
    };
    MapDetailsPage.prototype.addPointDialog = function (latLng) {
        var _this = this;
        var alert = this.alertCtrl.create({
            title: 'Новая остановка',
            inputs: [
                {
                    name: 'title',
                    placeholder: 'Название остановки'
                },
                {
                    name: 'bgdate',
                    placeholder: 'Начало остановки',
                    type: 'date',
                    value: (new Date()).toISOString()
                },
                {
                    name: 'cldate',
                    placeholder: 'Окончание остановки',
                    type: 'date',
                    value: (new Date()).toISOString()
                }
            ],
            buttons: [
                {
                    text: 'Отмена',
                    role: 'cancel',
                    handler: function (data) {
                        console.log('Cancel clicked');
                    }
                },
                {
                    text: 'Создать',
                    handler: function (data) {
                        var point = new __WEBPACK_IMPORTED_MODULE_3__models_point__["a" /* Point */]({
                            title: data.title,
                            bgdate: data.bgdate,
                            cldate: data.cldate,
                            lat: latLng.lat,
                            lng: latLng.lng
                        });
                        _this.addMarker(JSON.stringify(point), latLng);
                    }
                }
            ]
        });
        alert.present();
    };
    MapDetailsPage.prototype.editPointDialog = function (marker) {
        var _this = this;
        var point = JSON.parse(marker.options.title);
        var alert = this.alertCtrl.create({
            title: 'Редактировать остановку',
            inputs: [
                {
                    name: 'title',
                    placeholder: 'Название остановки',
                    value: point.title
                },
                {
                    name: 'bgdate',
                    placeholder: 'Начало остановки',
                    type: 'date',
                    value: point.bgdate
                },
                {
                    name: 'cldate',
                    placeholder: 'Окончание остановки',
                    type: 'date',
                    value: point.cldate
                }
            ],
            buttons: [
                {
                    text: 'Отмена',
                    role: 'cancel',
                    handler: function (data) {
                        console.log('Cancel clicked');
                    }
                },
                {
                    text: 'Редактировать',
                    handler: function (data) {
                        Object.assign(point, {
                            title: data.title,
                            bgdate: data.bgdate,
                            cldate: data.cldate
                        });
                        marker.options.title = JSON.stringify(point);
                    }
                },
                {
                    text: 'Удалить',
                    handler: function (data) {
                        var index = _this.markers.indexOf(marker);
                        _this.markers.splice(index, 1);
                    }
                }
            ]
        });
        alert.present();
    };
    MapDetailsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-map-details',template:/*ion-inline-start:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\map-details\map-details.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <button menuToggle *ngIf="!selectedItem">\n\n      <ion-icon name="menu"></ion-icon>\n\n    </button>\n\n    <ion-title>Маршрут</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content [attr.noScroll]="shouldScroll">\n\n  <div leaflet style="min-height: 90vh;"\n\n       [leafletOptions]="options"\n\n       [leafletLayers]="markers"\n\n       [leafletBaseLayers]="baseLayers"\n\n       [leafletLayersControlOptions]="layersControlOptions"\n\n       (leafletMapReady)="mapReady($event)">\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\map-details\map-details.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */]])
    ], MapDetailsPage);
    return MapDetailsPage;
}());

//# sourceMappingURL=map-details.js.map

/***/ }),

/***/ 244:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SignupPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__list_list__ = __webpack_require__(69);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_auth_auth__ = __webpack_require__(56);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the SignupPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var SignupPage = /** @class */ (function () {
    function SignupPage(navCtrl, navParams, fb, auth) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.auth = auth;
        this.form = fb.group(({
            email: ['', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].compose([__WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].email])],
            password: ['', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].compose([__WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["g" /* Validators */].minLength(6)])]
        }));
    }
    SignupPage.prototype.signup = function () {
        var _this = this;
        var data = this.form.value;
        this.auth.signUp(data.email, data.password).then(function () { return _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__list_list__["a" /* ListPage */]); }, function (error) { return _this.signupError = error.message; });
    };
    SignupPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad SignupPage');
    };
    SignupPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-signup',template:/*ion-inline-start:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\signup\signup.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>Регистрация</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n\n  <form (ngSubmit)="signup()" [formGroup]="form">\n    <ion-list inset>\n\n      <ion-item [ngClass]="{ invalid: emailErrors.hasError(\'*\', [\'touched\']) }">\n        <ion-input type="text" placeholder="Email" formControlName="email"></ion-input>\n      </ion-item>\n\n      <div ngxErrors="email" #emailErrors="ngxErrors">\n        <div [ngxError]="[\'email\', \'required\']" [when]="[\'touched\']">It should be a valid email</div>\n      </div>\n\n      <ion-item [ngClass]="{ invalid: passwordErrors.hasError(\'*\', [\'touched\']) }">\n        <ion-input type="password" placeholder="Пароль" formControlName="password"></ion-input>\n      </ion-item>\n\n      <div ngxErrors="password" #passwordErrors="ngxErrors">\n        <div [ngxError]="[\'minlength\', \'required\']" [when]="[\'touched\']">It should be at least 6 characters</div>\n      </div>\n    </ion-list>\n\n    <div padding-horizontal>\n      <div class="form-error">{{signupError}}</div>\n\n      <button ion-button full type="submit" [disabled]="!form.valid">Регистрация</button>\n    </div>\n  </form>\n</ion-content>\n\n'/*ion-inline-end:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\signup\signup.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_forms__["a" /* FormBuilder */],
            __WEBPACK_IMPORTED_MODULE_4__providers_auth_auth__["a" /* AuthProvider */]])
    ], SignupPage);
    return SignupPage;
}());

//# sourceMappingURL=signup.js.map

/***/ }),

/***/ 248:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SignupPageModule", function() { return SignupPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__signup__ = __webpack_require__(244);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ultimate_ngxerrors__ = __webpack_require__(126);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var SignupPageModule = /** @class */ (function () {
    function SignupPageModule() {
    }
    SignupPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__signup__["a" /* SignupPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__signup__["a" /* SignupPage */]),
                __WEBPACK_IMPORTED_MODULE_3__ultimate_ngxerrors__["a" /* NgxErrorsModule */],
            ],
        })
    ], SignupPageModule);
    return SignupPageModule;
}());

//# sourceMappingURL=signup.module.js.map

/***/ }),

/***/ 288:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return InfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var InfoPage = /** @class */ (function () {
    function InfoPage() {
        this.items = [
            'Ознакомиться с необходимой и достоверной информацией о потенциальной опасности на маршруте;',
            'Ознакомиться с имеющейся информацией о гидро, метео условиях, сложившихся в районе предполагаемого маршрута;',
            'В соответствии с гидро, метео условиями, сложившимися в районе предполагаемого маршрута, потенциальными опасностями на маршруте, проконсультироваться о безопасном прохождении маршрута, соблюсти правила личной и групповой безопасности, получить памятки по соблюдению безопасности на маршруте;проверить самостоятельно и предоставить для проверки (при согласии граждан) групповое и личное снаряжение, касающееся безопасного прохождения маршрута, имеющиеся средства связи, средства сигнализации, маршрутные документы, наличие продуктов питания, медикаментов;',
            'Производить взаимообмен имеющейся информацией о пребывании спортивных туристских (альпинистских) групп и отдельных граждан, совершающих походы (путешествия) на территориях территориальных управлений МЧС России по субъектам РФ или зонах действиях поисково-спасательных формирований;',
            'Предоставить номера телефонов, адреса членов группы; ',
            'Ознакомиться с ближайшими точками возможной экстренной связи на протяжении маршрута;',
            'Проверить наличие страховых документов группы (участников) и предоставить их для занесения информации в «Журнал регистрации спортивных туристских (альпинистских) групп и отдельных граждан»;',
            'В случае неподготовленности группы по вопросам безопасного прохождения маршрута делается запись в маршрутной книжке и в «Журнал регистрации спортивных туристских (альпинистских) групп и отдельных граждан»; '
        ];
    }
    InfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-info',template:/*ion-inline-start:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\info\info.html"*/'<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Регистрация туристических маршрутов</ion-title>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content padding>\n  <ion-card>\n    <img src="assets/imgs/map.png"/>\n\n    <ion-card-content>Туристские (альпинистские) группы, совершающие спортивные походы (путешествия) и их руководители,\n      при обращении в территориальные управления МЧС России по субъектам РФ или поисково-спасательные формирования, с\n      ходатайством о постановке на учёт на время совершения похода (путешествия), обязаны соблюдать следующие требования.\n    </ion-card-content>\n  </ion-card>\n\n  <ion-card *ngFor="let item of items">\n    <ion-card-content>{{item}}</ion-card-content>\n  </ion-card>\n\n</ion-content>\n'/*ion-inline-end:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\info\info.html"*/
        }),
        __metadata("design:paramtypes", [])
    ], InfoPage);
    return InfoPage;
}());

//# sourceMappingURL=info.js.map

/***/ }),

/***/ 289:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RulesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var RulesPage = /** @class */ (function () {
    function RulesPage() {
        this.items = [
            'Совместно с руководителем группы заполняется «Сообщение о совершении туристского похода», определяются промежуточные контрольные пункты.',
            'При предоставлении письменного (без представителя группы) «Сообщения о совершении туристского похода», руководитель группы обязан по контактным телефонам связаться с территориальными управлениями МЧС России по субъектам РФ или поисково-спасательными формированиями с целью предоставления полной информации о группе для заполнения «Журнала регистрации спортивных туристских (альпинистских) групп и отдельных граждан» (указывается, что информация получена по телефону, дата, время).',
            'По требованию направить письменное извещение телеграфом о начале активной части маршрута.',
            'Не позднее срока начала мероприятия в Главное управление МЧС России по региону или аварийно-спасательное формирование направляется сообщение, подтверждающее фактический выход группы на маршрут, а так же указываются изменения состава участников, сроков проведения и другие данные.',
            'После выхода группы с маршрута, но не позднее заявленного срока окончания мероприятия, Главное управление МЧС России по региону или аварийно-спасательное формирование уведомляется об окончании мероприятия.',
            'При возникновении бедствия на маршруте, чрезвычайного происшествия с группой туристические организации, туристы обязаны принять меры по спасению пострадавших собственными силами и передать сообщение о происшествии в Главное управление МЧС России по региону или аварийно-спасательное формирование по согласованным каналам связи.',
            'Координацию деятельности всех аварийно-спасательных служб, аварийно-спасательных формирований на территориях субъектов Российской Федерации осуществляют органы управления при органах исполнительной власти субъектов Российской Федерации, специально уполномоченные на решение задач в области защиты населения и территорий от чрезвычайных ситуаций.',
            'Координацию деятельности всех аварийно-спасательных служб, аварийно-спасательных формирований на территориях органов местного самоуправления осуществляют органы управления при органах местного самоуправления, специально уполномоченные на решение задач в области защиты населения и территорий от чрезвычайных ситуаций.'
        ];
    }
    RulesPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-rules',template:/*ion-inline-start:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\rules\rules.html"*/'<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Регистрация туристических маршрутов</ion-title>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content padding>\n  <ion-card>\n    <img src="assets/imgs/nature.png"/>\n\n    <ion-card-content>Постановка на учет и снятие с учета туристических групп должны осуществляться не позднее, чем за\n      15 суток до выхода на маршрут в Главное управление МЧС России по региону или аварийно-спасательное формирование.\n      При этом туристической организацией (руководителем группы) подается заявка на проведение туристического\n      мероприятия.\n    </ion-card-content>\n  </ion-card>\n\n  <ion-card>\n    <ion-card-header>В заявке указываются следующие сведения:</ion-card-header>\n    <ion-card-content>\n      <ul>\n        <li> название, адрес, телефон организации;</li>\n        <li> дата начала и окончания туристического мероприятия;</li>\n        <li> маршрут движения с указанием начального, промежуточных и конечного пунктов, контрольные пункты на маршруте и предполагаемое время их прохождения; </li>\n        <li> маршрут аварийного выхода;</li>\n        <li> порядок связи с группой на маршруте;</li>\n        <li> планируемое количество туристов, их гражданство, местожительство;</li>\n        <li> фамилия, имя, отчество руководителя группы, его заместителя, их телефоны;</li>\n        <li> паспортные данные членов похода, включая визовые документы (для иностранных граждан), местожительство.</li>\n      </ul>\n    </ion-card-content>\n  </ion-card>\n\n  <ion-card *ngFor="let item of items">\n    <ion-card-content>{{item}}</ion-card-content>\n  </ion-card>\n\n</ion-content>\n'/*ion-inline-end:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\rules\rules.html"*/
        }),
        __metadata("design:paramtypes", [])
    ], RulesPage);
    return RulesPage;
}());

//# sourceMappingURL=rules.js.map

/***/ }),

/***/ 304:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(305);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(311);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 311:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_component__ = __webpack_require__(464);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_info_info__ = __webpack_require__(288);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_rules_rules__ = __webpack_require__(289);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pages_item_details_item_details__ = __webpack_require__(208);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__pages_map_details_map_details__ = __webpack_require__(243);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__pages_list_list__ = __webpack_require__(69);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_status_bar__ = __webpack_require__(290);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_splash_screen__ = __webpack_require__(293);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__asymmetrik_ngx_leaflet__ = __webpack_require__(473);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__providers_travel_travel__ = __webpack_require__(112);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13_angularfire2__ = __webpack_require__(33);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__providers_firebase_config__ = __webpack_require__(483);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15_angularfire2_firestore__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16_angularfire2_auth__ = __webpack_require__(238);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17_angularfire2_database__ = __webpack_require__(484);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__components_components_module__ = __webpack_require__(497);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__ultimate_ngxerrors__ = __webpack_require__(126);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__providers_auth_auth__ = __webpack_require__(56);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__pages_login_login_module__ = __webpack_require__(206);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__pages_signup_signup_module__ = __webpack_require__(248);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};























var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_4__pages_info_info__["a" /* InfoPage */],
                __WEBPACK_IMPORTED_MODULE_5__pages_rules_rules__["a" /* RulesPage */],
                __WEBPACK_IMPORTED_MODULE_6__pages_item_details_item_details__["a" /* ItemDetailsPage */],
                __WEBPACK_IMPORTED_MODULE_7__pages_map_details_map_details__["a" /* MapDetailsPage */],
                __WEBPACK_IMPORTED_MODULE_8__pages_list_list__["a" /* ListPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_11__asymmetrik_ngx_leaflet__["a" /* LeafletModule */].forRoot(),
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */], {}, {
                    links: [
                        { loadChildren: '../pages/login/login.module#LoginPageModule', name: 'LoginPage', segment: 'login', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/signup/signup.module#SignupPageModule', name: 'SignupPage', segment: 'signup', priority: 'low', defaultHistory: [] }
                    ]
                }),
                __WEBPACK_IMPORTED_MODULE_13_angularfire2__["a" /* AngularFireModule */].initializeApp(__WEBPACK_IMPORTED_MODULE_14__providers_firebase_config__["a" /* FirebaseConfig */].firebase),
                // AngularFirestoreModule.enablePersistence(),
                __WEBPACK_IMPORTED_MODULE_15_angularfire2_firestore__["b" /* AngularFirestoreModule */],
                __WEBPACK_IMPORTED_MODULE_16_angularfire2_auth__["b" /* AngularFireAuthModule */],
                __WEBPACK_IMPORTED_MODULE_17_angularfire2_database__["a" /* AngularFireDatabaseModule */],
                __WEBPACK_IMPORTED_MODULE_18__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_19__ultimate_ngxerrors__["a" /* NgxErrorsModule */],
                __WEBPACK_IMPORTED_MODULE_21__pages_login_login_module__["LoginPageModule"],
                __WEBPACK_IMPORTED_MODULE_22__pages_signup_signup_module__["SignupPageModule"]
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["b" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_4__pages_info_info__["a" /* InfoPage */],
                __WEBPACK_IMPORTED_MODULE_5__pages_rules_rules__["a" /* RulesPage */],
                __WEBPACK_IMPORTED_MODULE_6__pages_item_details_item_details__["a" /* ItemDetailsPage */],
                __WEBPACK_IMPORTED_MODULE_7__pages_map_details_map_details__["a" /* MapDetailsPage */],
                __WEBPACK_IMPORTED_MODULE_8__pages_list_list__["a" /* ListPage */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_9__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_10__ionic_native_splash_screen__["a" /* SplashScreen */],
                { provide: __WEBPACK_IMPORTED_MODULE_1__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["c" /* IonicErrorHandler */] },
                __WEBPACK_IMPORTED_MODULE_12__providers_travel_travel__["a" /* TravelProvider */],
                __WEBPACK_IMPORTED_MODULE_20__providers_auth_auth__["a" /* AuthProvider */]
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 442:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Point; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__base_model__ = __webpack_require__(222);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();

var Point = /** @class */ (function (_super) {
    __extends(Point, _super);
    function Point() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return Point;
}(__WEBPACK_IMPORTED_MODULE_0__base_model__["a" /* BaseModel */]));

//# sourceMappingURL=point.js.map

/***/ }),

/***/ 464:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__pages_info_info__ = __webpack_require__(288);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pages_rules_rules__ = __webpack_require__(289);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_list_list__ = __webpack_require__(69);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_login_login__ = __webpack_require__(207);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_status_bar__ = __webpack_require__(290);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_splash_screen__ = __webpack_require__(293);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_auth_auth__ = __webpack_require__(56);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var MyApp = /** @class */ (function () {
    function MyApp(platform, menu, statusBar, splashScreen, auth) {
        this.platform = platform;
        this.menu = menu;
        this.statusBar = statusBar;
        this.splashScreen = splashScreen;
        this.auth = auth;
        this.initializeApp();
        // set our app's pages
        this.pages = [
            { title: 'Основная информация', component: __WEBPACK_IMPORTED_MODULE_2__pages_info_info__["a" /* InfoPage */] },
            { title: 'Правила регистрации', component: __WEBPACK_IMPORTED_MODULE_3__pages_rules_rules__["a" /* RulesPage */] }
        ];
        this.securedPages = [
            { title: 'Маршруты', component: __WEBPACK_IMPORTED_MODULE_4__pages_list_list__["a" /* ListPage */] }
        ];
    }
    MyApp.prototype.initializeApp = function () {
        var _this = this;
        this.platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            _this.statusBar.styleDefault();
            _this.splashScreen.hide();
        });
        this.auth.afAuth.authState
            .subscribe(function (user) {
            if (user) {
                _this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages_list_list__["a" /* ListPage */];
            }
            else {
                _this.rootPage = __WEBPACK_IMPORTED_MODULE_5__pages_login_login__["a" /* LoginPage */];
            }
        });
    };
    MyApp.prototype.openPage = function (page) {
        // close the menu when clicking a link from the menu
        this.menu.close();
        // navigate to the new page if it is not the current page
        this.nav.setRoot(page.component);
    };
    MyApp.prototype.login = function () {
        this.menu.close();
        this.auth.signOut();
        this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_5__pages_login_login__["a" /* LoginPage */]);
    };
    MyApp.prototype.logout = function () {
        this.menu.close();
        this.auth.signOut();
        this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_2__pages_info_info__["a" /* InfoPage */]);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* Nav */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* Nav */])
    ], MyApp.prototype, "nav", void 0);
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"D:\tmp\Angular\Travel\travel-client-mobile\src\app\app.html"*/'<ion-menu [content]="content">\n\n  <ion-header>\n    <ion-toolbar>\n      <ion-title>Меню</ion-title>\n    </ion-toolbar>\n  </ion-header>\n\n  <ion-content>\n    <ion-list>\n      <ng-container *ngIf="auth.authenticated">\n        <button ion-item *ngFor="let p of securedPages" (click)="openPage(p)">\n          {{p.title}}\n        </button>\n      </ng-container>\n\n      <button ion-item *ngFor="let p of pages" (click)="openPage(p)">\n        {{p.title}}\n      </button>\n\n      <ion-list-header *ngIf="auth.getEmail()">{{auth.getEmail()}}</ion-list-header>\n\n      <ion-item (click)="logout()" *ngIf="auth.authenticated">\n        <ion-icon name="log-out" item-left></ion-icon>\n        Выход\n      </ion-item>\n\n      <ion-item (click)="login()" *ngIf="!auth.authenticated">\n        <ion-icon name="log-in" item-left></ion-icon>\n        Авторизация\n      </ion-item>\n    </ion-list>\n\n  </ion-content>\n\n</ion-menu>\n\n<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>\n'/*ion-inline-end:"D:\tmp\Angular\Travel\travel-client-mobile\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* MenuController */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_status_bar__["a" /* StatusBar */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_splash_screen__["a" /* SplashScreen */],
            __WEBPACK_IMPORTED_MODULE_8__providers_auth_auth__["a" /* AuthProvider */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 483:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FirebaseConfig; });
var FirebaseConfig = {
    firebase: {
        apiKey: "AIzaSyA4bLosflPbRFFuf1gb4BwJ1cfFaA87yoY",
        authDomain: "travel-path.firebaseapp.com",
        databaseURL: "https://travel-path.firebaseio.com",
        projectId: "travel-path",
        storageBucket: "travel-path.appspot.com",
        messagingSenderId: "70418024748"
    }
};
//# sourceMappingURL=firebase.config.js.map

/***/ }),

/***/ 497:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ComponentsModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__membership_membership__ = __webpack_require__(498);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common__ = __webpack_require__(49);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(26);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ComponentsModule = /** @class */ (function () {
    function ComponentsModule() {
    }
    ComponentsModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [__WEBPACK_IMPORTED_MODULE_1__membership_membership__["a" /* MembershipComponent */]],
            imports: [
                __WEBPACK_IMPORTED_MODULE_2__angular_common__["b" /* CommonModule */],
                __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["d" /* IonicModule */]
            ],
            exports: [__WEBPACK_IMPORTED_MODULE_1__membership_membership__["a" /* MembershipComponent */]]
        })
    ], ComponentsModule);
    return ComponentsModule;
}());

//# sourceMappingURL=components.module.js.map

/***/ }),

/***/ 498:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MembershipComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__models_people__ = __webpack_require__(499);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * Generated class for the MembershipComponent component.
 *
 * See https://angular.io/api/core/Component for more info on Angular
 * Components.
 */
var MembershipComponent = /** @class */ (function () {
    function MembershipComponent() {
        this.showEditor = false;
        // if (this.items === undefined) {
        //   this.items = new Array<People>();
        //   this.selectedItem = new People();
        // }
    }
    MembershipComponent.prototype.getIcon = function (item) {
        var status = item.status ? item.status : 2;
        var icons = ['star', 'star-half', 'man'];
        return icons[status];
    };
    MembershipComponent.prototype.add = function () {
        this.showEditor = !this.showEditor;
        this.selectedItem = new __WEBPACK_IMPORTED_MODULE_1__models_people__["a" /* People */]();
        console.log('Добавление!');
    };
    MembershipComponent.prototype.save = function () {
        this.showEditor = !this.showEditor;
        if (this.items.indexOf(this.selectedItem) == -1)
            this.items.push(this.selectedItem);
        console.log('Сохранение!');
    };
    MembershipComponent.prototype.edit = function (item) {
        this.showEditor = !this.showEditor;
        this.selectedItem = item;
        console.log('Редактирование!');
    };
    MembershipComponent.prototype.delete = function (item) {
        var index = this.items.indexOf(item);
        this.items.splice(index, 1);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["D" /* Input */])(),
        __metadata("design:type", Array)
    ], MembershipComponent.prototype, "items", void 0);
    MembershipComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'membership',template:/*ion-inline-start:"D:\tmp\Angular\Travel\travel-client-mobile\src\components\membership\membership.html"*/'<ion-card>\n  <ion-card-header>\n    Участники\n    <ion-fab right>\n      <button ion-fab mini (click)="showEditor? save(): add()">\n        <ion-icon name="{{showEditor? \'checkmark\': \'add\'}}"></ion-icon>\n      </button>\n    </ion-fab>\n  </ion-card-header>\n\n  <ion-card-content *ngIf="items.length == 0 && !showEditor">Раздел не заполнен</ion-card-content>\n\n  <ion-list *ngIf="showEditor">\n    <ion-item>\n      <ion-label floating>ФИО</ion-label>\n      <ion-input type="text" [(ngModel)]="selectedItem.fio"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label floating>Контактный телефон</ion-label>\n      <ion-input type="text" [(ngModel)]="selectedItem.phone"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label floating>Статус</ion-label>\n      <ion-select [(ngModel)]="selectedItem.status">\n        <ion-option value="2">Рядовой</ion-option>\n        <ion-option value="0">Руководитель</ion-option>\n        <ion-option value="1">Заместитель</ion-option>\n      </ion-select>\n    </ion-item>\n  </ion-list>\n\n  <ion-list *ngIf="items.length && !showEditor">\n    <ion-item-sliding *ngFor="let member of items" #item>\n      <ion-item (click)="edit(member)">\n        <ion-icon name="{{getIcon(member)}}" item-left></ion-icon>\n        <h2>{{member.fio}}</h2>\n      </ion-item>\n      <ion-item-options side="right">\n        <button color="danger" ion-button (click)="delete(member)">\n          <ion-icon name="trash"></ion-icon>\n          удалить\n        </button>\n      </ion-item-options>\n    </ion-item-sliding>\n  </ion-list>\n</ion-card>\n\n'/*ion-inline-end:"D:\tmp\Angular\Travel\travel-client-mobile\src\components\membership\membership.html"*/
        }),
        __metadata("design:paramtypes", [])
    ], MembershipComponent);
    return MembershipComponent;
}());

//# sourceMappingURL=membership.js.map

/***/ }),

/***/ 499:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return People; });
var People = /** @class */ (function () {
    function People() {
    }
    return People;
}());

//# sourceMappingURL=people.js.map

/***/ }),

/***/ 56:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AuthProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_angularfire2_auth__ = __webpack_require__(238);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/*
  Generated class for the AuthProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var AuthProvider = /** @class */ (function () {
    function AuthProvider(afAuth) {
        var _this = this;
        this.afAuth = afAuth;
        afAuth.authState.subscribe(function (user) {
            _this.user = user;
        });
    }
    Object.defineProperty(AuthProvider.prototype, "authenticated", {
        get: function () {
            return this.user !== null;
        },
        enumerable: true,
        configurable: true
    });
    AuthProvider.prototype.getEmail = function () {
        return this.user && this.user.email;
    };
    AuthProvider.prototype.getUid = function () {
        return this.user && this.user.uid;
    };
    AuthProvider.prototype.signInWithEmail = function (email, password) {
        console.log('Вход с помощью почты');
        return this.afAuth.auth.signInWithEmailAndPassword(email, password);
    };
    AuthProvider.prototype.signUp = function (email, password) {
        return this.afAuth.auth.createUserWithEmailAndPassword(email, password);
    };
    AuthProvider.prototype.signOut = function () {
        return this.afAuth.auth.signOut();
    };
    AuthProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_angularfire2_auth__["a" /* AngularFireAuth */]])
    ], AuthProvider);
    return AuthProvider;
}());

//# sourceMappingURL=auth.js.map

/***/ }),

/***/ 69:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__item_details_item_details__ = __webpack_require__(208);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__models_travel__ = __webpack_require__(221);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_travel_travel__ = __webpack_require__(112);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var ListPage = /** @class */ (function () {
    function ListPage(navCtrl, navParams, travelProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.travelProvider = travelProvider;
        this.getItems();
    }
    ListPage.prototype.getItems = function () {
        this.items = this.travelProvider.getTravels();
    };
    ListPage.prototype.itemTapped = function (event, item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__item_details_item_details__["a" /* ItemDetailsPage */], {
            item: item
        });
    };
    ListPage.prototype.newTravel = function (event) {
        this.itemTapped(event, new __WEBPACK_IMPORTED_MODULE_3__models_travel__["a" /* Travel */]({}));
    };
    ListPage.prototype.getIcon = function (travel) {
        var curDate = new Date();
        var bgDate = new Date(travel.bgdate);
        var clDate = new Date(travel.cldate);
        if (bgDate > curDate)
            return 'clock';
        if (clDate < curDate)
            return 'home';
        return 'bonfire';
    };
    ListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-list',template:/*ion-inline-start:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\list\list.html"*/'<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>Маршруты</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-fab top right edge>\n    <button ion-fab mini (click)="newTravel($event)">\n      <ion-icon name="add"></ion-icon>\n    </button>\n  </ion-fab>\n  <ion-list>\n    <button ion-item *ngFor="let item of items | async" (click)="itemTapped($event, item)">\n      <ion-icon name="{{getIcon(item)}}" item-left></ion-icon>\n      <ion-icon name="done-all" item-end *ngIf="item.status"></ion-icon>\n      <h2>{{item.title}}</h2>\n      <h3>{{item.bgdate | date: \'dd.MM.yyyy\'}} - {{item.cldate | date: \'dd.MM.yyyy\'}}</h3>\n      <h3 *ngIf="item.status" style="color: blue">Маршрут согласован</h3>\n    </button>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"D:\tmp\Angular\Travel\travel-client-mobile\src\pages\list\list.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__providers_travel_travel__["a" /* TravelProvider */]])
    ], ListPage);
    return ListPage;
}());

//# sourceMappingURL=list.js.map

/***/ })

},[304]);
//# sourceMappingURL=main.js.map